API DocumentationOperator addresses

Get an operator address by ID

GET
/api/manufacturer/v1/operator/address/{addressId}

Retrieves address details for the specified operator address ID

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

addressId*integer

ID of the address to retrieve

Formatint64

Response Body

Address retrieved successfully

application/json
  1. response
addressId*integer
Formatint64
isBillingAddress*boolean
isShippingAddress*boolean
street1*string
street2*string
city*string
state?string
country*string
countryAlpha2Code*string
countryAlpha3Code*string
jurisdictionIsoCode?string
zip*string
name*string
company*string
phone*string
email*string
residential*boolean
addressType*string
isDeleted*boolean
taxId?string
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/operator/address/1'
{  "addressId": 0,  "isBillingAddress": true,  "isShippingAddress": true,  "street1": "string",  "street2": "string",  "city": "string",  "state": "string",  "country": "string",  "countryAlpha2Code": "string",  "countryAlpha3Code": "string",  "jurisdictionIsoCode": "string",  "zip": "string",  "name": "string",  "company": "string",  "phone": "string",  "email": "string",  "residential": true,  "addressType": "string",  "isDeleted": true,  "taxId": "string"}